%global _hardened_build 1

Name:           ubridge
Version:        0.9.14
Release:        2%{?dist}
Summary:        Bridge for UDP tunnels, Ethernet, TAP and VMnet interfaces

License:        GPLv3+
URL:            https://github.com/GNS3/ubridge
Source0:        https://github.com/GNS3/ubridge/archive/v%{version}/%{name}-%{version}.tar.gz


# Not needed, RPM will auto-generate deps
#Requires: iniparser

BuildRequires: libpcap-devel
BuildRequires: gcc
BuildRequires: make
BuildRequires: iniparser-devel
# So rpm can set caps
BuildRequires: libcap
BuildRequires: git-core

# LXC netlink code seems to be from older lxc codebase
# lxc-devel/lxc-lib do not provide it either
Provides: bundled(lxc-libs)


%description
uBridge is a simple application to create user-land bridges between various
technologies. Currently bridging between UDP tunnels, Ethernet and TAP
interfaces is supported. Packet capture is also supported.

%prep
%autosetup -S git


%build
make %{?_smp_mflags} SYSTEM_INIPARSER=1 CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m4755 %{name} %{buildroot}%{_bindir}



%files
%license LICENSE
%doc README.rst
%attr(0755,root,root) %caps(cap_net_admin,cap_net_raw=ep) %{_bindir}/%{name}


%changelog
* Sun May 06 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 0.9.14-2
- Fix capabilities (rhbz #1575005)

* Sun Mar 18 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14
- Remove upstreamed patches

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 29 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.9.12-2
- Use hardened build flags
- Unbundle libs

* Sun Jul 30 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.9.12-1
- Initial spec

